Package org.eclipse.emf.cdo.transfer

## Class CDOTransferType

- java.lang.Object
- - org.eclipse.emf.cdo.transfer.CDOTransferType

- All Implemented Interfaces:
    `java.lang.Comparable<CDOTransferType>`
  Direct Known Subclasses:
    `CDOTransferType.Text`

      public class CDOTransferType
      extends java.lang.Object
      implements java.lang.Comparable<CDOTransferType>

  Specifies how to treat a source `element` when it is mapped to a target element by a `transfer mapping`.
  Since:
    4.2
  Author:
    Eike Stepper
  No Extend
    This class is not intended to be subclassed by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CDOTransferType.Text` | A `transfer type` for text `elements` that have a special `encoding`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CDOTransferType` | `BINARY` |
    `static CDOTransferType` | `FOLDER` |
    `static CDOTransferType` | `MODEL` |
    `static java.util.Map<java.lang.String,​CDOTransferType>` | `REGISTRY` |
    `static CDOTransferType.Text` | `UTF8` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `compareTo​(CDOTransferType o)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `static CDOTransferType.Text` | `text​(java.lang.String encoding)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FOLDER

          public static final CDOTransferType FOLDER

    - #### MODEL

          public static final CDOTransferType MODEL

    - #### BINARY

          public static final CDOTransferType BINARY

    - #### UTF8

          public static final CDOTransferType.Text UTF8

    - #### REGISTRY

          public static final java.util.Map<java.lang.String,​CDOTransferType> REGISTRY

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo​(CDOTransferType o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<CDOTransferType>`

    - #### text

          public static CDOTransferType.Text text​(java.lang.String encoding)